version: "3.9"
services:
  tdbimportersta:
    container_name: tdbimportersta_latest
    image: tdbimportersta:latest
    restart: always
    build:
      context: .
      dockerfile: Dockerfile-sta
    ports:
            - "127.0.0.1:3011:3012"
    depends_on:
      - redis_tdbimportersta
    environment:
      SENDERMAIL_HOST: "ssl0.ovh.net"
      SENDERMAIL_USER: "monitoring@thedigitalbox.com"
      SENDERMAIL_PASS: "Digital-2021"
      SENDERMAIL_TO: "dev@thedigitalbox.com"
    volumes:
      - ./logs_sta:/code/logs
      - ./temp_sta:/code/temp
    networks:
      - tdb-importer-sta
  mongo_tdbimportersta:
    container_name: tdbimportersta_mongo
    image: mongo
    restart: always
    volumes:
      - ./mongodb_data_sta:/data/db
    environment:
      MONGO_INITDB_ROOT_USERNAME: "CifkpX8SU4y8w0z5"
      MONGO_INITDB_ROOT_PASSWORD: "XzBdYQcA0u0i1Asw"
      TZ: "Europe/Rome"
    ports:
      - "27020:27017"
    networks:
      - tdb-importer-sta
  redis_tdbimportersta:
    container_name: tdbimportersta_redis
    image: redis
    restart: always
    environment:
      TZ: "Europe/Rome"
    command: '--requirepass JvTFKJx60ER3twqJ --appendonly no --save ""'
    ports:
      - "6381:6379"
    networks:
      - tdb-importer-sta
networks:
  tdb-importer-sta:
